Bug 45468 - : Windows 7 Pinned Items in Taskbar not working as expected -- no multiple items
Summary: : Windows 7 Pinned Items in Taskbar not working as expected -- no multiple items
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-31 15:01 UTC by Richard L Hess
Modified: 2013-08-02 12:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
This screen shot shows the expected behaviour with multiple remote desktop servers available to choose from. I had hoped I could do that with LO as I have several spreadsheets and text documents I update regularly. (37.71 KB, image/png)
2012-01-31 15:01 UTC, Richard L Hess
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard L Hess 2012-01-31 15:01:01 UTC
Created attachment 56416 [details]
This screen shot shows the expected behaviour with multiple remote desktop servers available to choose from. I had hoped I could do that with LO as I have several spreadsheets and text documents I update regularly.

Problem description: 

Steps to reproduce:
1. Drag a file onto the Windows 7 Taskbar icon
   Item becomes pinned to icon 
   When you right-click the icon, you can choose starting
   the document.
2. Drag a second item onto the Taskbar icon and 
   it REPLACES the first item
3. It may generate another Taskbar icon, for example
   I had not put a CALC item in, but one showed up
   (I had wanted to pin both docs and spreadsheets to
    the LO main item, but the Calc icon works the same way)

Current behavior: Only one document can be pinned to the taskbar icon.

Expected behavior: Multiple documents can be pinned to the taskbar icon for selecting via right-click menu.

Platform (if different from the browser): Win 64 Professional
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:9.0.1) Gecko/20100101 Firefox/9.0.1
Comment 1 Richard L Hess 2012-01-31 16:39:05 UTC
I am not certain whether this involves the way LO interacts with Win7 or it's all internal to Win7, as I am noticing this behaviour with Windows Explorer as well as LO.  rlh 2012-02-01 00:40Z
Comment 2 Richard L Hess 2012-01-31 16:41:10 UTC
This blog entry might be a place to start to figuring it out. I don't try and figure these things out anymore as I don't know enough...sorry.

http://windowsteamblog.com/windows/b/developers/archive/2009/06/22/developing-for-the-windows-7-taskbar-jump-into-jump-lists-part-1.aspx
Comment 3 bfoman (inactive) 2012-07-13 10:29:49 UTC
Checked with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Could not reproduce. All files I dragged are pinned. 
Unfortunately loading pinned items do not work anyway - see bug 50913.
Comment 4 Rainer Bielefeld Retired 2012-08-01 12:46:42 UTC
NOT reproducible with Server Installation of  "LibreOffice 3.6.0.4 rc  German UI/Locale [Build-ID:  932b512] on German WIN7 Home Premium (64bit).
I added 2 Document link icons from Desktop to Tas Bar, what worked fine, now I have both pinned.

All the document links pinned to taskbar are useless, will not be opened, but that's Bug 50913

this one is related to or DUP of 
Bug 35376 - Windows 7 taskbar-pinning integration incomplete
Bug 53019 - Unable to pin the application to the taskbar (Windows 7)
Bug 50913 - Will not open files pinned to start bar

@reporter:
Please feel free to reopen this bug if you find out that the problem still exists with 3.6.0.4 or later.
Comment 5 Jesus Corrius 2013-07-30 10:58:50 UTC
Let's close it as RESOLVED FIXED. We will reopen it if we find any regression during the testing process of LibreOffice 4.1.1.
Comment 6 Eion MacDonald 2013-08-02 12:34:54 UTC
When downloading LibreOffice 4.1.04 it only permits a task bar short cut to open writer or suite. Calc does not show ability to set shortcut in task bar.